PDA

View Full Version : [ubuntu] rlt 8085



trucker33377
May 13th, 2008, 11:53 AM
has this been fixed? i cant get mine to work

chili555
May 13th, 2008, 12:59 PM
Is this a network card? Wired or wireless? I have never heard of, nor can Google find an rlt8085. Please let us see:
sudo lshw -C network

trucker33377
May 14th, 2008, 04:41 AM
i was half asleep when i posted but i installed gutsy it works on that

trucker33377
May 18th, 2008, 03:33 PM
well im still working on this first of all its an rtl8185. next is it works with 7.10

heres whats happened this is a gateway mt3421 with gutsy i can use the wireless out of the box, but theres no sound

with hardy i get sound no wireless

now i dont really care if im using gutsy or hardy just want both things to work.

ive downloaded the rtl8185_linux_26.1027.0823.2007 driver and tried to follow dir to install.

got the box on my desktop and a folder i extracted

i found a posting on how to install but its not working for me

this is the hardy in my pc right now

please help

chili555
May 18th, 2008, 04:43 PM
There is a pretty good tutorial here: http://ubuntuforums.org/showthread.php?t=772006&highlight=8185 Note that to make it work in Hardy, you must install it booted into Hardy. As that great saying goes, 'What happens in Hardy stays in Hardy.

trucker33377
May 18th, 2008, 05:34 PM
things go ok till i try to do this

mkdir /lib/modules/`uname -r`/kernel/net/ieee80211
cp ieee80211/*.ko /lib/modules/`uname -r`/kernel/net/ieee80211
cp rtl8185/*.ko /lib/modules/`uname -r`/kernel/net
depmod -ae

trucker@trucker-laptop:~$ sudo apt-get install build-essential
[sudo] password for trucker:
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version.
The following packages were automatically installed and are no longer required:
libfltk1.1 fxload
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
trucker@trucker-laptop:~$ sudo apt-get remove libfltk1.1 fxload
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
fxload libfltk1.1
0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded.
After this operation, 1016kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 117163 files and directories currently installed.)
Removing fxload ...
Removing libfltk1.1 ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
trucker@trucker-laptop:~$ find /lib/modules/`uname -r` -name r8180.ko
trucker@trucker-laptop:~$ mkdir /lib/modules/`uname -r`/kernel/net/ieee80211
mkdir: cannot create directory `/lib/modules/2.6.24-16-generic/kernel/net/ieee80211': File exists
trucker@trucker-laptop:~$ cp ieee80211/*.ko /lib/modules/`uname -r`/kernel/net/ieee80211
cp: cannot stat `ieee80211/*.ko': No such file or directory
trucker@trucker-laptop:~$ cp rtl8185/*.ko /lib/modules/`uname -r`/kernel/net
cp: cannot stat `rtl8185/*.ko': No such file or directory
trucker@trucker-laptop:~$ depmod -ae

chili555
May 18th, 2008, 06:31 PM
Your mkdir and cp commands were not done because you do not have permission to amend these files in /lib/modules, but the superuser does. Try preceeding those commands with 'sudo'.

If in doubt, sudo. "sudo, please bring me a beer."

brandoncolorado
May 18th, 2008, 06:43 PM
Won't work in Hardy, but works out of the box with Fedora 9 (patched driver missed the latest Ubuntu version, but not Fedora). Best of luck.

trucker33377
May 19th, 2008, 04:17 AM
still no luck here ive tried the windows driver for xp works on pclinuxos but not with hardy

one other thing here i dont really understand, when i look at my networks i can edit wireless it see's my network am i missing something simple here? the only thing it looks like i can do is remove it